# This spec is backported to ALTLinux 4.1 automatically by rpmbph script. Do not edit it.
#
%define gst_plugins gst-plugins
%define ver_major 0.10

%define _gst_libdir %_libdir/gstreamer-%ver_major
%define _gtk_docdir %_datadir/gtk-doc/html

Name: %gst_plugins-base
Version: %ver_major.20
Release: alt0.M41.1

Summary: An essential set of GStreamer plugins
Group: System/Libraries
License: LGPL
URL: http://gstreamer.freedesktop.org/

Requires: lib%gst_plugins = %version-%release
Requires: gstreamer

Provides: gstreamer(audio-hardware-sink) = %version
Provides: gstreamer(audio-hardware-source) = %version

Obsoletes: %name-all <= %version
Obsoletes: %name-audio-filters <= %version
Obsoletes: %name-network <= %version
Obsoletes: %name-subtitle <= %version
Obsoletes: %name-test <= %version
Obsoletes: %name-video-filters <= %version
Obsoletes: %gst_plugins-alsa <= %version
Obsoletes: %gst_plugins-cdparanoia <= %version
Obsoletes: %gst_plugins-ogg <= %version
Obsoletes: %gst_plugins-theora <= %version
Obsoletes: %gst_plugins-video4linux <= %version
Obsoletes: %gst_plugins-vorbis <= %version
Obsoletes: %gst_plugins-ximagesink <= %version
Obsoletes: %gst_plugins-xvideo <= %version

Provides: %name-all = %version-%release
Provides: %name-audio-filters = %version-%release
Provides: %name-network = %version-%release
Provides: %name-subtitle = %version-%release
Provides: %name-test = %version-%release
Provides: %name-video-filters = %version-%release
Provides: %gst_plugins-alsa = %version-%release
Provides: %gst_plugins-cdparanoia = %version-%release
Provides: %gst_plugins-ogg = %version-%release
Provides: %gst_plugins-theora = %version-%release
Provides: %gst_plugins-video4linux = %version-%release
Provides: %gst_plugins-vorbis = %version-%release
Provides: %gst_plugins-ximagesink = %version-%release
Provides: %gst_plugins-xvideo = %version-%release

Source0: http://gstreamer.freedesktop.org/src/%name/%name-%version.tar.bz2
Patch1: gst-plugins-base-0.10.17-alt-playbin-ximagesink.patch

# Automatically added by buildreq on Thu Feb 07 2008
BuildRequires: fontconfig-devel gcc-c++ gnome-vfs-devel gtk-doc libSM-devel libXv-devel libalsa-devel
BuildRequires: libcdparanoia-devel libgio-devel libfreetype-devel gstreamer-devel liboil-devel libpango-devel
BuildRequires: libtheora-devel libvisual0.4-devel libvorbis-devel python-module-PyXML python-modules-compiler
BuildRequires: python-modules-email python-modules-encodings python-modules-logging

BuildRequires: rpm-build-compat >= 0.95

%description
GStreamer Base Plug-ins is a well-groomed and well-maintained
collection of GStreamer plug-ins and elements, spanning the range of
possible types of elements one would want to write for GStreamer. A
wide range of video and audio decoders, encoders, and filters are
included.

%package -n lib%gst_plugins
Summary: GStreamer plugin libraries
Group: System/Libraries

%description -n lib%gst_plugins
Helper libraries for GStreamer plugins,
containing base classes useful for elements. 

%package -n %gst_plugins-tools
Summary: GStreamer plugin tools
Group: Development/Other
Requires: %name = %version-%release

%description -n %gst_plugins-tools
This package contains a few test tools from the
GStreamer Base Plugins distribution.

%package -n %gst_plugins-devel
Summary: Development files for GStreamer plugins
Group: Development/C
Requires: lib%gst_plugins = %version-%release gstreamer-devel
Provides: gstreamer-plugins-devel = %version
Obsoletes: %gst_plugins-devel-doc <= %version
Obsoletes: %name-devel-doc <= %version
Provides: %gst_plugins-devel-doc = %version-%release
Provides: %name-devel-doc = %version-%release

%description -n %gst_plugins-devel
This package contains the libraries, headers and other files necessary
to develop GStreamer plugins.

%package -n %gst_plugins-gnomevfs
Summary: GStreamer plugin for GNOME VFS input and output
Group: System/Libraries
Requires: %name = %version-%release

%description -n %gst_plugins-gnomevfs
GStreamer plugin for reading and writing through GNOME VFS streams.

%package -n %gst_plugins-libvisual
Summary: GStreamer plugin for libvisual
Group: Sound
Requires: %name = %version-%release

%description -n %gst_plugins-libvisual
GStreamer plugin for visualizations through the libvisual library.

%package -n %gst_plugins-pango
Summary: GStreamer Pango output plugin
Group: System/Libraries
Requires: %name = %version-%release

%description -n %gst_plugins-pango
GStreamer plugin for Pango-based text rendering and overlay.

%prep
%setup -q
%patch1 -p1

%build
export AUTOPOINT=true
%autoreconf
%configure \
    --disable-examples \
    --disable-valgrind \
    --enable-gtk-doc \
    --disable-debug \
    --disable-static \
    --with-html-dir=%_gtk_docdir
%make_build

%install
%make DESTDIR=%buildroot install

%find_lang %name-%ver_major

%post -n lib%gst_plugins -p %post_ldconfig

%postun -n lib%gst_plugins -p %postun_ldconfig

%files -f %name-%ver_major.lang
%dir %_gst_libdir
%exclude %_gst_libdir/libgstgnomevfs.so
%exclude %_gst_libdir/libgstlibvisual.so
%exclude %_gst_libdir/libgstpango.so
%_gst_libdir/*.so

%files -n lib%gst_plugins
%_libdir/*.so.*
%dir %_gst_libdir

%files -n %gst_plugins-tools
%_bindir/*-%ver_major
%_man1dir/*

%files -n %gst_plugins-devel
%_gtk_docdir/%name-*-%ver_major
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc

%files -n %gst_plugins-gnomevfs
%dir %_gst_libdir
%_gst_libdir/libgstgnomevfs.so

%files -n %gst_plugins-libvisual
%dir %_gst_libdir
%_gst_libdir/libgstlibvisual.so

%files -n %gst_plugins-pango
%dir %_gst_libdir
%_gst_libdir/libgstpango.so

%changelog
* Thu Aug 07 2008 Yuri N. Sedunov <aris@altlinux.org> 0.10.20-alt0.M41.1
- backport to ALTLinux 4.1 (by rpmbph script)

* Wed Jun 18 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.20-alt1
- 0.10.20

* Thu May 15 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.19-alt2
- rebuild

* Thu Apr 03 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.19-alt1
- 0.10.19

* Sun Mar 23 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.18-alt1
- 0.10.18

* Sat Feb 23 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.17-alt4
- real fix provides

* Fri Feb 22 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.17-alt3
- fixed provides

* Thu Feb 21 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.17-alt2
- join together subpackage

* Thu Feb 07 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.17-alt1
- 0.10.17
- spec cleanup
- update build dependencies

* Wed Jan 09 2008 Igor Zubkov <icesik@altlinux.org> 0.10.14-alt3
- add workaround for broken XV support in video drivers.
  if XV support broken in video driver,
  export GST_VIDEOSINK_XLIB=1 and gstreamer will use ximagesink
  instead xvimagesink

* Wed Jan 09 2008 Igor Zubkov <icesik@altlinux.org> 0.10.14-alt2
- fix playing small ogg files (alt#13267, gnome#466717)

* Mon Sep 10 2007 Igor Zubkov <icesik@altlinux.org> 0.10.14-alt1
- 0.10.12 -> 0.10.14

* Tue Mar 13 2007 Igor Zubkov <icesik@altlinux.org> 0.10.12-alt1
- 0.10.11 -> 0.10.12

* Tue Feb 20 2007 Igor Zubkov <icesik@altlinux.org> 0.10.11-alt1
- 0.10.9 -> 0.10.11

* Wed Aug 23 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.9-alt1
- Release 0.10.9

* Tue Jun 13 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.8-alt1
- Release 0.10.8

* Sun May 28 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.7-alt1
- Updated to 0.10.7
- Renamed gst-plugins-x11 to gst-plugins-ximagesink

* Fri Apr 14 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.5-alt1
- Release 0.10.5

* Sun Mar 12 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.4-alt1
- Release 0.10.4

* Sat Feb 11 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.3-alt1
- 0.10.3
- Renamed debug to test
- Renamed effects to filters
- Buildreq

* Wed Jan 18 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.2-alt1
- 0.10.2
- Enabled cdparanoia back after the upstream
- Added the cdparanoia plugin package in earnest

* Wed Dec 28 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.1-alt1
- 0.10.1
- Disabled cdparanoia after the upstream

* Sat Dec 10 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.0-alt1
- Updated to 0.10.0
- Added pango plugin

* Fri Nov 25 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.9.6-alt1
- Initial release for Sisyphus of plugins as split in 0.9
